Subject: Re: bug#2623: 23.0.91; File is under version-control; use C-x v v to check in/out

From: Stefan Monnier <[email-masked]>
Date: Wed, 11 Mar 2009 10:55:25 -0400

>>> File is under version-control; use C-x v v to check in/out
>>> This message is misleading if not wrong as most of the version control
>>> tools do not use read-only to indicate their status.
>> Check in/out used to be bound to C-x C-q (because back then, most of the
>> version control tools did use read-only to indicate their status), so
>> the above message is there to remind people who have C-x C-q hardcoded
>> in their fingers that maybe they really meant to type C-x v v.
> Should this be changed in 21st?

I do not understand what "21st" is referring to.

>> BTW, why did you type C-x C-q?  Is the file read-only?
> Sometimes I turn the file into read-only before showing to other people
> in case they accidentally type something into it.

I see, so in this case we could probably avoid the message by being
a bit more clever (e.g. don't show the message if it's not the first
time C-x C-q is used in this buffer).

        Stefan